Package org.eclipse.net4j.ws

## Interface IWSAcceptorManager

-     public interface IWSAcceptorManager

  A singleton that manages all `WS acceptors` in the current JVM.
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static IWSAcceptorManager` | `INSTANCE` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IWSAcceptor` | `getAcceptor​(java.lang.String name)` |
    `org.eclipse.net4j.util.registry.IRegistry<java.lang.String,​IWSAcceptor>` | `getAcceptorRegistry()` |

- - ### Field Detail

    - #### INSTANCE

          static final IWSAcceptorManager INSTANCE

  - ### Method Detail

    - #### getAcceptorRegistry

          org.eclipse.net4j.util.registry.IRegistry<java.lang.String,​IWSAcceptor> getAcceptorRegistry()

    - #### getAcceptor

          IWSAcceptor getAcceptor​(java.lang.String name)